using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.XianJinPinZheng
{
    public partial class W_XHSKD
    {
        public W_XHSKD()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            A8ERP.Common.DWServiceHelp.AddReportService(dw_hz);

            string khbh = A8ERP.AppService.GetUserID();
            this.SetParm("khbh", khbh);
            this.SetParm("FunctionID", this.FunctionID);

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_XHSKD", "/CaiWu/XianJinPinZheng/W_XHSKD.win.js?JSV=" + AppService.GetJSVesion());
             //   this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
            }
            this.IsRegisterScriptFile = false;

        }
    }
}
